### Method

# Camel BlockFile detach_block

#### Declaration [src]

    void
    camel_block_file_detach_block (
      CamelBlockFile* bs,
      CamelBlock* bl
    )

#### Description [src]

Detatch a block from the block file’s cache. The block should be unref’d or attached when finished with. The block file will perform no writes of this block or flushing of it if the cache fills.

#### Parameters

`bl`

  Type: `CamelBlock`

  A `CamelBlock`.

  The data is owned by the caller of the method.